Open CASCADE Technology: Geom2dGcc_Lin2d2Tan Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dGcc_Lin2d2Tan Class Reference

This class implements the algorithms used to create 2d lines tangent to 2 other elements which can be circles, curves or points. More than one argument must be a curve. Describes functions for building a 2D line: More...

`#include <Geom2dGcc_Lin2d2Tan.hxx>`

## Public Member Functions
| Geom2dGcc_Lin2d2Tan (const Geom2dGcc_QualifiedCurve &Qualified1, const Geom2dGcc_QualifiedCurve &Qualified2, const Standard_Real Tolang)
| This class implements the algorithms used to create 2d line tangent to two curves. Tolang is used to determine the tolerance for the tangency points. More...
| Geom2dGcc_Lin2d2Tan (const Geom2dGcc_QualifiedCurve &Qualified1, const gp_Pnt2d &ThePoint, const Standard_Real Tolang)
| This class implements the algorithms used to create 2d lines passing thrue a point and tangent to a curve. Tolang is used to determine the tolerance for the tangency points. More...
| Geom2dGcc_Lin2d2Tan (const Geom2dGcc_QualifiedCurve &Qualified1, const Geom2dGcc_QualifiedCurve &Qualified2, const Standard_Real Tolang, const Standard_Real Param1, const Standard_Real Param2)
| This class implements the algorithms used to create 2d line tangent to two curves. Tolang is used to determine the tolerance for the tangency points. Param1 is used for the initial guess on the first curve. Param2 is used for the initial guess on the second curve. More...
| Geom2dGcc_Lin2d2Tan (const Geom2dGcc_QualifiedCurve &Qualified1, const gp_Pnt2d &ThePoint, const Standard_Real Tolang, const Standard_Real Param1)
| This class implements the algorithms used to create 2d lines passing thrue a point and tangent to a curve. Tolang is used to determine the tolerance for the tangency points. Param2 is used for the initial guess on the curve. More...
Standard_Boolean | IsDone () const
| Returns true if the construction algorithm does not fail (even if it finds no solution). Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits. More...
Standard_Integer | NbSolutions () const
| Returns the number of lines, representing solutions computed by this algorithm. Exceptions StdFail_NotDone if the construction fails.R. More...
gp_Lin2d | ThisSolution (const Standard_Integer Index) const
| Returns a line, representing the solution of index Index computed by this algorithm. Warning This indexing simply provides a means of consulting the solutions. The index values are not associated with these solutions outside the context of the algorithm object. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails. More...
void | WhichQualifier (const Standard_Integer Index, GccEnt_Position &Qualif1, GccEnt_Position &Qualif2) const
| Returns the qualifiers Qualif1 and Qualif2 of the tangency arguments for the solution of index Index computed by this algorithm. The returned qualifiers are: More...
void | Tangency1 (const Standard_Integer Index, Standard_Real &ParSol, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the tangency point between the result and the first argument. ParSol is the intrinsic parameter of the point PntSol on the solution curv. ParArg is the intrinsic parameter of the point PntSol on the argument curv. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails. More...
void | Tangency2 (const Standard_Integer Index, Standard_Real &ParSol, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the tangency point between the result and the first argument. ParSol is the intrinsic parameter of the point PntSol on the solution curv. ParArg is the intrinsic parameter of the point PntSol on the argument curv. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails. More...

## Detailed Description

This class implements the algorithms used to create 2d lines tangent to 2 other elements which can be circles, curves or points. More than one argument must be a curve. Describes functions for building a 2D line:

- tangential to 2 curves, or
- tangential to a curve and passing through a point. A Lin2d2Tan object provides a framework for:
- defining the construction of 2D line(s),
- implementing the construction algorithm, and
- consulting the result(s).

Note: Some constructors may check the type of the qualified argument and raise BadQualifier Error in case of incorrect couple (qualifier, curv).

## Constructor & Destructor Documentation

Geom2dGcc_Lin2d2Tan::Geom2dGcc_Lin2d2Tan | ( | const Geom2dGcc_QualifiedCurve & | Qualified1,
|  | const Geom2dGcc_QualifiedCurve & | Qualified2,
|  | const Standard_Real | Tolang
| ) |  |

This class implements the algorithms used to create 2d line tangent to two curves. Tolang is used to determine the tolerance for the tangency points.

Geom2dGcc_Lin2d2Tan::Geom2dGcc_Lin2d2Tan | ( | const Geom2dGcc_QualifiedCurve & | Qualified1,
|  | const gp_Pnt2d & | ThePoint,
|  | const Standard_Real | Tolang
| ) |  |

This class implements the algorithms used to create 2d lines passing thrue a point and tangent to a curve. Tolang is used to determine the tolerance for the tangency points.

Geom2dGcc_Lin2d2Tan::Geom2dGcc_Lin2d2Tan | ( | const Geom2dGcc_QualifiedCurve & | Qualified1,
|  | const Geom2dGcc_QualifiedCurve & | Qualified2,
|  | const Standard_Real | Tolang,
|  | const Standard_Real | Param1,
|  | const Standard_Real | Param2
| ) |  |

This class implements the algorithms used to create 2d line tangent to two curves. Tolang is used to determine the tolerance for the tangency points. Param1 is used for the initial guess on the first curve. Param2 is used for the initial guess on the second curve.

Geom2dGcc_Lin2d2Tan::Geom2dGcc_Lin2d2Tan | ( | const Geom2dGcc_QualifiedCurve & | Qualified1,
|  | const gp_Pnt2d & | ThePoint,
|  | const Standard_Real | Tolang,
|  | const Standard_Real | Param1
| ) |  |

This class implements the algorithms used to create 2d lines passing thrue a point and tangent to a curve. Tolang is used to determine the tolerance for the tangency points. Param2 is used for the initial guess on the curve.

## Member Function Documentation

Standard_Boolean Geom2dGcc_Lin2d2Tan::IsDone | ( |  | ) | const

Returns true if the construction algorithm does not fail (even if it finds no solution). Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits.

Standard_Integer Geom2dGcc_Lin2d2Tan::NbSolutions | ( |  | ) | const

Returns the number of lines, representing solutions computed by this algorithm. Exceptions StdFail_NotDone if the construction fails.R.

void Geom2dGcc_Lin2d2Tan::Tangency1 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParSol,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the tangency point between the result and the first argument. ParSol is the intrinsic parameter of the point PntSol on the solution curv. ParArg is the intrinsic parameter of the point PntSol on the argument curv. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

void Geom2dGcc_Lin2d2Tan::Tangency2 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParSol,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the tangency point between the result and the first argument. ParSol is the intrinsic parameter of the point PntSol on the solution curv. ParArg is the intrinsic parameter of the point PntSol on the argument curv. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

gp_Lin2d Geom2dGcc_Lin2d2Tan::ThisSolution | ( | const Standard_Integer | Index | ) | const

Returns a line, representing the solution of index Index computed by this algorithm. Warning This indexing simply provides a means of consulting the solutions. The index values are not associated with these solutions outside the context of the algorithm object. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

void Geom2dGcc_Lin2d2Tan::WhichQualifier | ( | const Standard_Integer | Index,
|  | GccEnt_Position & | Qualif1,
|  | GccEnt_Position & | Qualif2
| ) |  | const

Returns the qualifiers Qualif1 and Qualif2 of the tangency arguments for the solution of index Index computed by this algorithm. The returned qualifiers are:

- those specified at the start of construction when the solutions are defined as enclosing or outside with respect to the arguments, or
- those computed during construction (i.e. enclosing or outside) when the solutions are defined as unqualified with respect to the arguments, or
- GccEnt_noqualifier if the tangency argument is a point. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

The documentation for this class was generated from the following file:

- Geom2dGcc_Lin2d2Tan.hxx